
%define debug_package %{nil}
Name:    tezos-smart-rollup-node
Version: 20.0rc1
Release: 1
Epoch: 1
Summary: Tezos smart rollup node
License: MIT
BuildArch: x86_64 aarch64
Source0: tezos-smart-rollup-node-20.0rc1.tar.gz
Source1: https://gitlab.com/tezos/tezos/tree/v20.0-rc1/
BuildRequires: make wget systemd systemd-rpm-macros
Requires: , tezos-client, tezos-node, tezos-sapling-params
%description
Tezos smart rollup node
Maintainer: Serokell <hi@serokell.io>
%prep
%setup -q
%build
%install
make octez-smart-rollup-node
mkdir -p %{buildroot}/%{_bindir}
install -m 0755 octez-smart-rollup-node %{buildroot}/%{_bindir}
ln -s %{_bindir}/octez-smart-rollup-node %{buildroot}/%{_bindir}/tezos-smart-rollup-node



mkdir -p %{buildroot}/%{_unitdir}
install -m 644 tezos-smart-rollup-node.service %{buildroot}/%{_unitdir}

mkdir -p %{buildroot}/%{_sysconfdir}/default
install -m 644 tezos-smart-rollup-node.default %{buildroot}/%{_sysconfdir}/default/tezos-smart-rollup-node

install -m 0755 tezos-smart-rollup-node-start %{buildroot}/%{_bindir}


%files
%license LICENSE

%{_bindir}/octez-smart-rollup-node
%{_bindir}/tezos-smart-rollup-node

%{_bindir}/tezos-smart-rollup-node-start

%{_unitdir}/tezos-smart-rollup-node.service

%{_sysconfdir}/default/tezos-smart-rollup-node



%post
%systemd_post tezos-smart-rollup-node.service


if [ -z $(getent passwd tezos) ]; then
    useradd -r -s /bin/false -m -d /var/lib/tezos tezos
    chmod 0755 /var/lib/tezos
fi

mkdir -p /var/lib/tezos/.tezos-client
chown -R tezos:tezos /var/lib/tezos/.tezos-client


%preun
%systemd_preun tezos-smart-rollup-node.service


%postun
%systemd_postun_with_restart tezos-smart-rollup-node.service



